#!/bin/bash

# Image configuration
VERSION="1.0.0"
LOCAL_IMAGE="eps2svg:v${VERSION}"
REGISTRY="registry.cn-chengdu.aliyuncs.com/infish"
REGISTRY_IMAGE="${REGISTRY}/${LOCAL_IMAGE}"

# Build local image
echo "Building local image: ${LOCAL_IMAGE}"
docker build -t ${LOCAL_IMAGE} .

# Tag for registry
echo "Tagging image for registry: ${REGISTRY_IMAGE}"
docker tag ${LOCAL_IMAGE} ${REGISTRY_IMAGE}

# Push to registry (uncomment to push)
# echo "Pushing to registry..."
# docker push ${REGISTRY_IMAGE}

# Run locally
echo "Running container locally..."
docker run -p 8087:8000 --env-file .env ${LOCAL_IMAGE}
